<template>
  <div class="aftersale">
    <div class="commodity-box">
      <div class="commodity border-bottom-5">
        <div class="commodity-main">
          <div class="img">
            <img src="@/assets/images/detail.png" alt="">
          </div>
          <div class="detail">
            <p class="name">Cache韩版打底衫女短款时尚休闲动物图案短袖印花T恤女圆领</p>
            <p class="selected">颜色 红色</p>
            <p class="selected">尺码 L码</p>
          </div>
          <div class="valuation">
            <p>&nbsp;</p>
            <p class="money">￥ 349</p>
            <p class="weui-count">
              X1
            </p>
          </div>
        </div>
      </div>
      <div class="express border-bottom-1">
        <span class="icon"><i class="fa fa-reply"></i></span>
        <div>
          <p>退货退款</p>
          <p class="tip">已收到货，需要退换已收到的货物</p>
          <i class="fa fa-angle-right"></i>
        </div>
      </div>
      <div class="express border-bottom-1">
        <span class="icon"><i class="fa fa-wrench"></i></span>
        <div>
          <p>换货</p>
          <p class="tip">商品存在质量问题，联系卖家协商换货</p>
          <i class="fa fa-angle-right"></i>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {dict} from '../store/dictionary'
export default {
  name: 'aftersale',
  components: {},
  data () {
    return {
      dict: dict,
      typeList: [
        {
          name: '全部',
          active: true,
          type: 'all'
        },
        {
          name: '待付款',
          active: false,
          type: 'ap'
        },
        {
          name: '待发货',
          active: false,
          type: 'price'
        },
        {
          name: '待收货',
          active: false,
          type: 'price'
        },
        {
          name: '待评价',
          active: false,
          type: 'price'
        }
      ]
    }
  },
  methods: {
    jumpBack () {
      this.$router.back(-1)
    },
    jumpmenu (type) {
      this.$router.push({name: type})
    },
    confirm () {
      $.toast('收货成功', 3000)
    },
    estimate () {
      this.$router.push({name: 'estimate'})
    },
    openpopup () {
      $('#logistics').popup()
    },
    aftersale () {
      this.$router.push({name: 'aftersale'})
    }
  },
  mounted: function () {

  }
}
</script>

<style scoped>
.commodity {
  position: relative;
  padding: 10px 10px 10px;
}
.commodity-main {
  position: relative;
}
.commodity .select {
  position: absolute;
  top: 35%;
}
.commodity .img {
  display: inline-block;
  width: 28%;
}
.commodity .img img {
  width: 100%;
  display: table-cell;
  border-radius: 3px;
}
.commodity .detail {
  position: absolute;
  width: 40%;
  height: 100%;
  left: 30%;
  top: 0px;
}
.commodity .detail p {
  font-size: 13px;
  height: 30%;
}
.commodity .detail .name {
  width: 120%;
  height: auto;
  min-height: 30%;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}

.commodity .detail .selected {
  color: #bcbcbc;
}
.valuation {
  position: absolute;
  width: 30%;
  height: 100%;
  right: 10px;
  top: 0px;
  text-align: right;
}
.valuation p {
  font-size: 13px;
  height: 30%;
}
.valuation .money, .money {
  color: red;
  font-size: 16px;
}
.commodity-footer {
  font-size: 14px;
  color: #777777;
  text-align: right;
}
.operation {
  margin-bottom: 30px;
}
.placeholder {
  width: 70px;
  height: 25px;
  line-height: 25px;
  margin: 2px;
  text-align: center;
  border-radius: 25px;
  float: right;
  border: 1px solid #bbbbbb;
}
.placeholder.active {
  color: #ee0000;
  border-color: #ee0000;
}
.express {
  position: relative;
  padding: 10px;
  background: #ffffff;
}
.express .icon {
  display: inline-block;
  position: relative;
  top: -10px;
  margin-left: 15px;
  width: 25px;
  height: 25px;
  text-align: center;
  color: red;
  border: 1px solid red;
  border-radius: 25px;
}
.express div {
  display: inline-block;
  margin-left: 10px;
}
.express div .tip {
  font-size: 14px;
  color: #bbbbbb;
}
.express div .fa {
  font-size: 24px;
  color: #bbbbbb;
  position: absolute;
  top: 20px;
  right: 20px;
}
</style>
